<?
include_once('clss_0.php') ;
class clss_22 extends clss_0
{

    function get_create_a_html($parent_reffer)
    { $text='<a class=button mode=modal_window cmd=panel_obj_banner_upload after_close_window="goto_url" url="/admin/fra_viewer.php?obj_reffer='.$parent_reffer.'&menu_id=structure_'.$this->clss.'" clss="'.$this->clss.'"  parent_reffer="'.$parent_reffer.'" href="#">'.$this->name($parent_reffer).'</a>' ;
      return($text) ;
    }

    // возвращает текст html кнопки для создания объекта
    function get_create_button_html($parent_reffer)
    { $text='<button mode=modal_window cmd=panel_obj_banner_upload after_close_window="goto_url" url="/admin/fra_viewer.php?obj_reffer='.$parent_reffer.'&menu_id=structure_'.$this->clss.'" clss="'.$this->clss.'"  parent_reffer="'.$parent_reffer.'">Создать еще '.$this->name($parent_reffer).'</button>'  ;
      return($text) ;
    }

    function panel_banner_view()
    { global $obj_info ;
      echo $obj_info['value'] ;
    }

    function panel_banner_connect()
    { global $obj_info ;
      ?><h1>Информация для подключения банера на сайте</h1>
        <p>php код группы банеров: <strong class=black>_banner(<?echo $obj_info['parent']?>) ;</strong></p><br>
        <p>php код баннера: <strong class=black>_banner(<?echo $obj_info['pkey']?>) ;</strong></p><br>
        <!--<p>Код регистрации для внуттренних сслылок: <strong class=black>onclick=requestdata("ban_id=<? echo $obj_info['pkey'].'.'.$obj_info['tkey']?>")</strong></p>-->
      <?
    }

    function panel_banner_stats()
     { global $obj_info ;
       $stats=execSQL('select * from '.TM_LOG_BANNERS.' where reffer="'.$obj_info['pkey'].'.'.$obj_info['tkey'].'" order by c_data desc') ;
      ?><table><tr class=td_header><td>Дата</td><td>Число просмотров</td><td>Число переходов</td></tr><?
    	    if (_sizeof($stats)) foreach ($stats as $rec)
    	    {  ?><tr>
    		       <td><? echo date("d.m.y",$rec['c_data'])?>&nbsp;</td>
    		       <td><? echo $rec['c_view']?></td>
    		       <td><? echo $rec['c_goto']?>&nbsp;</td>
    		     </tr>
    		  <?
    		}
    	?></table><?
        }

    function clss_22_upload_baner($rec)
    {  $text='<img class="in_text v2" no_send_form cmd=upload_banner|get_panel_upload_banner reffer="'.$rec['_reffer'].'" src="'._PATH_TO_ADMIN_IMG.'/download_32.gif" width="32" height="32" alt="Загрузить банер" border="0">' ;
       return($text) ;
    }

    function clss_22_preview($rec)
    {
       return($rec['value']) ;
    }


}



?>
